@charset "utf-8";

/* 언어 선택 */
.g-lang-box{position:relative;}
.g-lang-box .google_translate_element{display:none;}
.g-lang-box .g-lang-btn{display:flex;align-items:center;}
.g-lang-box .g-lang-btn{display:block;border-radius:50%;border:2px solid var(--white100);width:4.8rem;height:4.8rem;background:url(/_res/dongguk/legacy/img/common/ico-google@2x.png) no-repeat center center / 2.5rem;transition:background 0.3s ease;box-sizing:border-box;}
body:not(.gnb-open) .g-lang-box .g-lang-btn:hover,
.g-lang-box .g-lang-btn.on{background-color:var(--white100);}

/* gnb 열림 */
body.gnb-open .g-lang-box .g-lang-btn{border-color:var(--black01);}

.g-lang-box .g-lang-btn span{padding:0 8px 0 4px;font-size:0.875rem;line-height:1rem;color:#fff;}
.g-lang-box .translation-links{display:none;position:absolute;top:calc(100% + 1.3rem);left:50%;z-index:100;width:12rem;border-radius:1rem;background-color:var(--white100);box-shadow:0 0 1.8rem rgba(0, 0, 0, 0.1);box-sizing:border-box;transform:translateX(-50%);}
.g-lang-box .translation-links:before{content:'';position:absolute;bottom:100%;left:50%;z-index:-10;width:0;height:0;border-style:solid;border-width:0px 6px 8px 6px;border-color:transparent transparent var(--white100) transparent;transform:translateX(-50%);filter:drop-shadow(0 0 1.8rem rgba(0, 0, 0, 0.1));}
.g-lang-box .translation-links.on{display:block;opacity:1;transform:translateX(-50%) translateY(0);}
.g-lang-box .translation-links ul{position:relative;padding:1rem;border-radius:1rem;z-index:10;background:var(--white100);box-sizing:border-box;}
.g-lang-box .translation-links li{margin-bottom:6px;}
.g-lang-box .translation-links li:last-of-type{margin-bottom:0;}
.g-lang-box .translation-links li a{display:flex;align-items:center;font-size:0;text-align:left;}
.g-lang-box .translation-links li a:before{content:'';flex-shrink:0;display:inline-block;border-radius:50%;width:2.2rem;height:2.2rem;margin-right:8px;background-repeat:no-repeat;background-size:100%;background-position:center;vertical-align:middle;}
.g-lang-box .translation-links li a.ko:before{background-image:url(/_res/dongguk/legacy/img/common/ico-ko.png);}
.g-lang-box .translation-links li a.us:before{background-image:url(/_res/dongguk/legacy/img/common/ico-en.png);}
.g-lang-box .translation-links li a.vi:before{background-image:url(/_res/dongguk/legacy/img/common/ico-vi.png);}
.g-lang-box .translation-links li a.zh:before{background-image:url(/_res/dongguk/legacy/img/common/ico-cn.png);}
.g-lang-box .translation-links li a.ja:before{background-image:url(/_res/dongguk/legacy/img/common/ico-jp.png);}
.g-lang-box .translation-links li a span{display:inline-block;width:calc(100% - 3rem);font-weight:var(--font-weight-light);font-size:1.4rem;line-height:1;color:var(--black100);vertical-align:middle;}

/* 기존 UI 숨김처리 */
.g-submenu{display:none;}
.translated-ltr body{top:0 !important;}
.skiptranslate>iframe{display:none;}

/* 헤더 깨짐 현상 방지 */
.header-box .logo{flex-shrink:0;margin:0 25px 0 0;}
.util-box{flex-shrink:0;}

@media screen and (max-width:1725px){
	.g-lang-box .g-lang-btn{width:4.4rem;height:4.4rem;}
}

@media screen and (max-width:1280px) {
	/* 언어 선택 */
	.g-lang-box{position:absolute;bottom:2rem;left:2.3rem;}
	.g-lang-box .g-lang-btn{border:none;border-radius:0;width:4.3rem;height:4.3rem;background-image:url(/_res/dongguk/legacy/img/common/ico-google-m@2x.png);background-size:100%;}
	.g-lang-box .translation-links{top:unset;bottom:calc(100% + 2.4rem);left:0;width:14rem;transform:none;box-shadow:0 0 9px 2px rgba(0, 0, 0, 0.1);}
	.g-lang-box .translation-links:before{content:'';position:absolute;top:100%;bottom:0;left:3rem;width:0;height:0;border-style:solid;border-width:9px 7px 0px 7px;border-color:var(--white100) transparent transparent transparent;transform:translateX(-50%);filter:drop-shadow(0 0 9px rgba(0, 0, 0, 0.1));}
	.g-lang-box .translation-links ul{padding:1.4rem 1.7rem 1.1rem;}
	.g-lang-box .translation-links li{margin-bottom:7px;}
	.g-lang-box .translation-links li a:before{width:2.6rem;height:2.6rem;}
}